docs: Remove reference to misspell-rs

This project seems to be dead
This commit is contained in:
Ed Page 2021-05-22 21:17:35 -05:00
parent 36131c2bee
commit 8a19ec5059
3 changed files with 20 additions and 99 deletions

View file

@ -57,10 +57,6 @@ typos_path=`$current_dir/uut/typos.sh path $base_dir`
typos_version=`$current_dir/uut/typos.sh version $base_dir`
print_tool "typos" "$typos_version" "$typos_path" "$report_path"
misspell_rs_path=`$current_dir/uut/misspell_rs.sh path $base_dir`
misspell_rs_version=`$current_dir/uut/misspell_rs.sh version $base_dir`
print_tool "misspell_rs" "$misspell_rs_version" "$misspell_rs_path" "$report_path"
misspell_go_path=`$current_dir/uut/misspell_go.sh path $base_dir`
misspell_go_version=`$current_dir/uut/misspell_go.sh version $base_dir`
print_tool "misspell_go" "$misspell_go_version" "$misspell_go_path" "$report_path"
@ -103,10 +99,6 @@ function bench_dir() {
typos_ascii_command="$typos_path --no-unicode $path"
typos_j1_command="$typos_path --threads 1 $path"
fi
misspell_rs_command=""
if [[ ! -z $misspell_rs_path ]]; then
misspell_rs_command="$misspell_rs_path $path"
fi
misspell_go_command=""
if [[ ! -z $misspell_go_path ]]; then
misspell_go_command="$misspell_go_path $path"
@ -116,7 +108,7 @@ function bench_dir() {
if [[ ! -z $codespell_path ]]; then
codespell_command="$codespell_path $path"
fi
hyperfine --warmup 1 -i --export-json $report_prefix-rg.json --export-markdown $report_prefix-rg.md "$rg_command" "$rg_j1_command" "$typos_command" "$typos_ascii_command" "$typos_j1_command" "$misspell_rs_command" "$misspell_go_command" "$codespell_command"
hyperfine --warmup 1 -i --export-json $report_prefix-rg.json --export-markdown $report_prefix-rg.md "$rg_command" "$rg_j1_command" "$typos_command" "$typos_ascii_command" "$typos_j1_command" "$misspell_go_command" "$codespell_command"
cat $report_prefix-rg.md >> $output
fi
echo "" >> $output
@ -146,10 +138,6 @@ function bench_file() {
typos_command="$typos_path $path"
typos_ascii_command="$typos_path --no-unicode $path"
fi
misspell_rs_command=""
if [[ ! -z $misspell_rs_path ]]; then
misspell_rs_command="$misspell_rs_path $path"
fi
misspell_go_command=""
if [[ ! -z $misspell_go_path ]]; then
misspell_go_command="$misspell_go_path $path"
@ -162,7 +150,7 @@ function bench_file() {
if [[ ! -z $codespell_path ]]; then
codespell_command="$codespell_path $path"
fi
hyperfine --warmup 1 -i --export-json $report_prefix-rg.json --export-markdown $report_prefix-rg.md "$rg_command" "$typos_command" "$typos_ascii_command" "$misspell_rs_command" "$misspell_go_command" "$scspell_command" "$codespell_command"
hyperfine --warmup 1 -i --export-json $report_prefix-rg.json --export-markdown $report_prefix-rg.md "$rg_command" "$typos_command" "$typos_ascii_command" "$misspell_go_command" "$scspell_command" "$codespell_command"
cat $report_prefix-rg.md >> $output
fi
echo "" >> $output

View file

@ -1,66 +0,0 @@
#!/usr/bin/env bash
set -e
UUT_DIR="misspell_rs"
MISSPELL_RS_VERSION="0.2.0"
if [[ $# -eq 0 ]]; then
exit 1
fi
command=$1
base_dir="/tmp/benchsuite"
if [[ $# -ge 2 ]]; then
base_dir=$2
fi
root_dir="${base_dir}/$UUT_DIR"
out_file="$root_dir/bin/misspell"
log_path="${base_dir}/$UUT_DIR.log"
function path() {
if [[ -e $out_file ]]; then
echo $out_file
fi
}
function clear() {
rm -Rf ${root_dir} ${log_path}
}
function download() {
if [[ ! -e $out_file ]]; then
mkdir -p ${root_dir}
mkdir -p ${base_dir}/_cache
echo "Downloading $UUT_DIR" >> ${log_path}
cargo --version > $root_dir/cargo.txt
CARGO_TARGET_DIR=$base_dir/_cache cargo install misspell --version $MISSPELL_RS_VERSION --root $root_dir
fi
}
function version() {
if [[ -e $out_file ]]; then
echo "`$out_file --version` w/ `cat $root_dir/cargo.txt`"
fi
}
case $command in
path)
echo $(path)
;;
clear)
echo $(clear)
;;
version)
echo $(version)
;;
download)
download
echo $(path)
;;
*)
>&2 echo "Invalid command: $command"
exit 1
;;
esac

View file

@ -1,29 +1,28 @@
# Related Spell Checkers
| | typos | [bloom42/misspell][misspell-rs] | [client9/misspell][misspell-go] | [codespell] | [scspell3k] |
|----------------|-----------------------|---------------------------------|---------------------------------|-------------|-------------|
| Runtime | \- | \- | \- | Python | Python |
| [Approach](design.md) | Correction | Correction | Correction | Correction | Dictionary |
| Custom Dict | Yes | No | ? | Yes | Yes |
| Per-Lang Dict | Yes | No | ? | No | Yes |
| CamelCase | Yes | No | ? | No | Yes |
| snake_case | Yes | No | ? | No | Yes |
| Ignore Hex | Yes | No | ? | No | Yes |
| C-Escapes | No ([#20][def-3]) | No | ? | No | Yes |
| Encodings | UTF-8 / UTF-16 | UTF-8 | ? | Auto | Auto |
| Whole-project | Yes | Yes | Yes | Yes | No |
| Ignores hidden | Yes | Yes | ? | Yes | No |
| Respect gitignore | Yes | Yes | ? | No | No |
| Checks filenames | Yes | No | ? | Yes | No |
| Status via exit code | Yes | No | Yes | Yes | Yes |
| API | Rust / [JSON Lines] | Rust | ? | Python | None |
| License | MIT or Apache | AGPL | MIT | GPLv2 | GPLv2 |
| | typos | [client9/misspell][misspell-go] | [codespell] | [scspell3k] |
|----------------|-----------------------|---------------------------------|-------------|-------------|
| Runtime | \- | \- | Python | Python |
| [Approach](design.md) | Correction | Correction | Correction | Dictionary |
| Custom Dict | Yes | ? | Yes | Yes |
| Per-Lang Dict | Yes | ? | No | Yes |
| CamelCase | Yes | ? | No | Yes |
| snake_case | Yes | ? | No | Yes |
| Ignore Hex | Yes | ? | No | Yes |
| C-Escapes | No ([#20][def-3]) | ? | No | Yes |
| Encodings | UTF-8 / UTF-16 | ? | Auto | Auto |
| Whole-project | Yes | Yes | Yes | No |
| Ignores hidden | Yes | ? | Yes | No |
| Respect gitignore | Yes | ? | No | No |
| Checks filenames | Yes | ? | Yes | No |
| Status via exit code | Yes | Yes | Yes | Yes |
| API | Rust / [JSON Lines] | ? | Python | None |
| License | MIT or Apache | MIT | GPLv2 | GPLv2 |
See also [benchmarks](../benchsuite/runs).
[JSON Lines]: http://jsonlines.org/
[scspell3k]: https://github.com/myint/scspell
[misspell-rs]: https://gitlab.com/bloom42/misspell
[misspell-go]: https://github.com/client9/misspell
[codespell]: https://github.com/codespell-project/codespell
[def-9]: https://github.com/crate-ci/typos/issues/9